Bug 195376 - Syntax highlighting of /etc/fstab
Syntax highlighting of /etc/fstab
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 18:27 EDT by Penelope Fudd
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: vim-7.0.022-0.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 09:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for /usr/share/vim/vim64/syntax/fstab.vim (569 bytes, patch)
2006-06-14 18:27 EDT, Penelope Fudd
no flags Details | Diff
Improved patch for /usr/share/vim/vim64/syntax/fstab.vim, does mtab too! (1.30 KB, patch)
2006-06-14 18:43 EDT, Penelope Fudd
no flags Details | Diff
Patch for /usr/share/vim/vim64/filetype.vim (291 bytes, patch)
2006-06-14 18:43 EDT, Penelope Fudd
no flags Details | Diff

  None (edit)
Description Penelope Fudd 2006-06-14 18:27:30 EDT
Description of problem:
devpts and sysfs are highlighted as errors 

Version-Release number of selected component (if applicable):
vim-common-6.4.007-4

How reproducible:
Always

Steps to Reproduce:
1. vim /etc/fstab
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Penelope Fudd 2006-06-14 18:27:31 EDT
Created attachment 130936 [details]
Patch for /usr/share/vim/vim64/syntax/fstab.vim
Comment 2 Penelope Fudd 2006-06-14 18:43:25 EDT
Created attachment 130939 [details]
Improved patch for /usr/share/vim/vim64/syntax/fstab.vim, does mtab too!

As /etc/mtab is formatted identically to /etc/fstab, I made this syntax file
work for both.
Comment 3 Penelope Fudd 2006-06-14 18:43:47 EDT
Created attachment 130941 [details]
Patch for /usr/share/vim/vim64/filetype.vim
Comment 4 Penelope Fudd 2006-06-14 18:44:57 EDT
Comment on attachment 130941 [details]
Patch for /usr/share/vim/vim64/filetype.vim

This allows vim to recognize /etc/mtab as an fstab-style file.
Comment 5 Penelope Fudd 2006-06-14 18:51:48 EDT
There are two more changes that should be made to allow normal mtab files to not
trigger error highlights:

1. /dev/mapper/VolGroup00-LogVol00 gets the '-' highlighted as an error
2. automount(pid1234) gets the 'automount()' highlighted as an error (do
'service autofs start' to demonstrate it)

My syntax-highlighting-fu is not worthy enough to subdue these bugs.

And as with all syntax highlighting changes, this bug is purely cosmetic.  :-)
Comment 6 Karsten Hopp 2006-06-21 09:43:04 EDT
I'm going to release vim-7.0-022 as an update for FC5. All issues except those
from comment #5 have been fixed in that release.
Please note that vim-7.0-022 will be in FC5-testing for at least one week before
I move it to FC5-updates.

Note You need to log in before you can comment on or make changes to this bug.